Class: Aws::S3::Types::ListMultipartUploadsRequest
- Inherits:
-
Struct
- Object
- Struct
- Aws::S3::Types::ListMultipartUploadsRequest
- Defined in:
- gems/aws-sdk-s3/lib/aws-sdk-s3/types.rb
Overview
Constant Summary collapse
- SENSITIVE =
[]
Instance Attribute Summary collapse
-
#bucket ⇒ String
The name of the bucket to which the multipart upload was initiated.
-
#delimiter ⇒ String
Character you use to group keys.
-
#encoding_type ⇒ String
Encoding type used by Amazon S3 to encode the [object keys][1] in the response.
-
#expected_bucket_owner ⇒ String
The account ID of the expected bucket owner.
-
#key_marker ⇒ String
Specifies the multipart upload after which listing should begin.
-
#max_uploads ⇒ Integer
Sets the maximum number of multipart uploads, from 1 to 1,000, to return in the response body.
-
#prefix ⇒ String
Lists in-progress uploads only for those keys that begin with the specified prefix.
-
#request_payer ⇒ String
Confirms that the requester knows that they will be charged for the request.
-
#upload_id_marker ⇒ String
Together with key-marker, specifies the multipart upload after which listing should begin.
Instance Attribute Details
#bucket ⇒ String
The name of the bucket to which the multipart upload was initiated.
Directory buckets - When you use this operation with a directory
bucket, you must use virtual-hosted-style requests in the format
Bucket-name.s3express-zone-id.region-code.amazonaws.com. Path-style
requests are not supported. Directory bucket names must be unique in
the chosen Zone (Availability Zone or Local Zone). Bucket names must
follow the format bucket-base-name--zone-id--x-s3 (for example,
amzn-s3-demo-bucket--usw2-az1--x-s3). For information about bucket
naming restrictions, see Directory bucket naming rules in the
Amazon S3 User Guide.
Access points - When you use this action with an access point for general purpose buckets, you must provide the alias of the access point in place of the bucket name or specify the access point ARN. When you use this action with an access point for directory buckets, you must provide the access point name in place of the bucket name. When using the access point ARN, you must direct requests to the access point hostname. The access point hostname takes the form AccessPointName-AccountId.s3-accesspoint.Region.amazonaws.com. When using this action with an access point through the Amazon Web Services SDKs, you provide the access point ARN in place of the bucket name. For more information about access point ARNs, see Using access points in the Amazon S3 User Guide.
S3 on Outposts - When you use this action with S3 on Outposts,
you must direct requests to the S3 on Outposts hostname. The S3 on
Outposts hostname takes the form
AccessPointName-AccountId.outpostID.s3-outposts.Region.amazonaws.com.
When you use this action with S3 on Outposts, the destination bucket
must be the Outposts access point ARN or the access point alias. For
more information about S3 on Outposts, see What is S3 on
Outposts? in the Amazon S3 User Guide.
12354 12355 12356 12357 12358 12359 12360 12361 12362 12363 12364 12365 12366 |
# File 'gems/aws-sdk-s3/lib/aws-sdk-s3/types.rb', line 12354 class ListMultipartUploadsRequest < Struct.new( :bucket, :delimiter, :encoding_type, :key_marker, :max_uploads, :prefix, :upload_id_marker, :expected_bucket_owner, :request_payer) SENSITIVE = [] include Aws::Structure end |
#delimiter ⇒ String
Character you use to group keys.
All keys that contain the same string between the prefix, if
specified, and the first occurrence of the delimiter after the
prefix are grouped under a single result element, CommonPrefixes.
If you don't specify the prefix parameter, then the substring
starts at the beginning of the key. The keys that are grouped under
CommonPrefixes result element are not returned elsewhere in the
response.
CommonPrefixes is filtered out from results if it is not
lexicographically greater than the key-marker.
/ is the only
supported delimiter.
12354 12355 12356 12357 12358 12359 12360 12361 12362 12363 12364 12365 12366 |
# File 'gems/aws-sdk-s3/lib/aws-sdk-s3/types.rb', line 12354 class ListMultipartUploadsRequest < Struct.new( :bucket, :delimiter, :encoding_type, :key_marker, :max_uploads, :prefix, :upload_id_marker, :expected_bucket_owner, :request_payer) SENSITIVE = [] include Aws::Structure end |
#encoding_type ⇒ String
Encoding type used by Amazon S3 to encode the object keys in the response. Responses are encoded only in UTF-8. An object key can contain any Unicode character. However, the XML 1.0 parser can't parse certain characters, such as characters with an ASCII value from 0 to 10. For characters that aren't supported in XML 1.0, you can add this parameter to request that Amazon S3 encode the keys in the response. For more information about characters to avoid in object key names, see Object key naming guidelines.
test_file(3).png will appear
as test_file%283%29.png.
12354 12355 12356 12357 12358 12359 12360 12361 12362 12363 12364 12365 12366 |
# File 'gems/aws-sdk-s3/lib/aws-sdk-s3/types.rb', line 12354 class ListMultipartUploadsRequest < Struct.new( :bucket, :delimiter, :encoding_type, :key_marker, :max_uploads, :prefix, :upload_id_marker, :expected_bucket_owner, :request_payer) SENSITIVE = [] include Aws::Structure end |
#expected_bucket_owner ⇒ String
The account ID of the expected bucket owner. If the account ID that
you provide does not match the actual owner of the bucket, the
request fails with the HTTP status code 403 Forbidden (access
denied).
12354 12355 12356 12357 12358 12359 12360 12361 12362 12363 12364 12365 12366 |
# File 'gems/aws-sdk-s3/lib/aws-sdk-s3/types.rb', line 12354 class ListMultipartUploadsRequest < Struct.new( :bucket, :delimiter, :encoding_type, :key_marker, :max_uploads, :prefix, :upload_id_marker, :expected_bucket_owner, :request_payer) SENSITIVE = [] include Aws::Structure end |
#key_marker ⇒ String
Specifies the multipart upload after which listing should begin.
key-marker is an object key. Together with upload-id-marker,
this parameter specifies the multipart upload after which listing
should begin.
If upload-id-marker is not specified, only the keys
lexicographically greater than the specified key-marker will be
included in the list.
If upload-id-marker is specified, any multipart uploads for a
key equal to the key-marker might also be included, provided
those multipart uploads have upload IDs lexicographically greater
than the specified upload-id-marker.
Directory buckets - For directory buckets,
key-markeris obfuscated and isn't a real object key. Theupload-id-markerparameter isn't supported by directory buckets. To list the additional multipart uploads, you only need to set the value ofkey-markerto theNextKeyMarkervalue from the previous response.In the
ListMultipartUploadsresponse, the multipart uploads aren't sorted lexicographically based on the object keys.
12354 12355 12356 12357 12358 12359 12360 12361 12362 12363 12364 12365 12366 |
# File 'gems/aws-sdk-s3/lib/aws-sdk-s3/types.rb', line 12354 class ListMultipartUploadsRequest < Struct.new( :bucket, :delimiter, :encoding_type, :key_marker, :max_uploads, :prefix, :upload_id_marker, :expected_bucket_owner, :request_payer) SENSITIVE = [] include Aws::Structure end |
#max_uploads ⇒ Integer
Sets the maximum number of multipart uploads, from 1 to 1,000, to return in the response body. 1,000 is the maximum number of uploads that can be returned in a response.
12354 12355 12356 12357 12358 12359 12360 12361 12362 12363 12364 12365 12366 |
# File 'gems/aws-sdk-s3/lib/aws-sdk-s3/types.rb', line 12354 class ListMultipartUploadsRequest < Struct.new( :bucket, :delimiter, :encoding_type, :key_marker, :max_uploads, :prefix, :upload_id_marker, :expected_bucket_owner, :request_payer) SENSITIVE = [] include Aws::Structure end |
#prefix ⇒ String
Lists in-progress uploads only for those keys that begin with the
specified prefix. You can use prefixes to separate a bucket into
different grouping of keys. (You can think of using prefix to make
groups in the same way that you'd use a folder in a file system.)
/) are supported.
12354 12355 12356 12357 12358 12359 12360 12361 12362 12363 12364 12365 12366 |
# File 'gems/aws-sdk-s3/lib/aws-sdk-s3/types.rb', line 12354 class ListMultipartUploadsRequest < Struct.new( :bucket, :delimiter, :encoding_type, :key_marker, :max_uploads, :prefix, :upload_id_marker, :expected_bucket_owner, :request_payer) SENSITIVE = [] include Aws::Structure end |
#request_payer ⇒ String
Confirms that the requester knows that they will be charged for the request. Bucket owners need not specify this parameter in their requests. If either the source or destination S3 bucket has Requester Pays enabled, the requester will pay for the corresponding charges. For information about downloading objects from Requester Pays buckets, see Downloading Objects in Requester Pays Buckets in the Amazon S3 User Guide.
12354 12355 12356 12357 12358 12359 12360 12361 12362 12363 12364 12365 12366 |
# File 'gems/aws-sdk-s3/lib/aws-sdk-s3/types.rb', line 12354 class ListMultipartUploadsRequest < Struct.new( :bucket, :delimiter, :encoding_type, :key_marker, :max_uploads, :prefix, :upload_id_marker, :expected_bucket_owner, :request_payer) SENSITIVE = [] include Aws::Structure end |
#upload_id_marker ⇒ String
Together with key-marker, specifies the multipart upload after which
listing should begin. If key-marker is not specified, the
upload-id-marker parameter is ignored. Otherwise, any multipart
uploads for a key equal to the key-marker might be included in the
list only if they have an upload ID lexicographically greater than
the specified upload-id-marker.
12354 12355 12356 12357 12358 12359 12360 12361 12362 12363 12364 12365 12366 |
# File 'gems/aws-sdk-s3/lib/aws-sdk-s3/types.rb', line 12354 class ListMultipartUploadsRequest < Struct.new( :bucket, :delimiter, :encoding_type, :key_marker, :max_uploads, :prefix, :upload_id_marker, :expected_bucket_owner, :request_payer) SENSITIVE = [] include Aws::Structure end |